# $Revision: 1.53 $, $Date: 2010/02/12 23:01:40 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	libxklavier library
Summary(pl.UTF-8):	Biblioteka libxklavier
Name:		libxklavier
Version:	5.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxklavier/5.0/%{name}-%{version}.tar.bz2
# Source0-md5:	134c7ea177ff901123b909de77394780
URL:		http://www.freedesktop.org/Software/LibXklavier
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	iso-codes
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXi-devel >= 1.1.3
BuildRequires:	xorg-lib-libxkbfile-devel
Requires:	iso-codes
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to simplify XKB-related development.

%description -l pl.UTF-8
Ta biblioteka pozwala uprościć programowanie związane z XKB.

%package devel
Summary:	Header files to develop libxklavier applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji z użyciem libxklavier
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2-devel >= 1:2.6.26
Requires:	xorg-lib-libxkbfile-devel

%description devel
Header files to develop libxklavier applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji z użyciem libxklavier.

%package static
Summary:	Static version of libxklavier library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libxklavier
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libxklavier library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libxklavier.

%package apidocs
Summary:	libxklavier API documentation
Summary(pl.UTF-8):	Dokumentacja API libxklavier
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxklavier API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxklavier.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-xkb-bin-base=%{_bindir} \
	--with-xkb-base=%{_datadir}/X11/xkb \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/%{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxklavier.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxklavier.so.16

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxklavier.so
%{_libdir}/libxklavier.la
%{_pkgconfigdir}/libxklavier.pc
%{_includedir}/libxklavier

%files static
%defattr(644,root,root,755)
%{_libdir}/libxklavier.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxklavier.spec,v $
Revision 1.53  2010/02/12 23:01:40  megabajt
- updated to 5.0 (new soname)
- removed obsolete -enumeration.patch

Revision 1.52  2010/01/01 22:46:39  sparky
- BuildRoot capitalization

Revision 1.51  2009/11/30 01:54:52  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.50  2009/11/12 16:14:19  patrys
- rebuild
- rel 3

Revision 1.49  2009/09/26 13:54:09  megabajt
- merged from DEVEL

Revision 1.48.2.2  2009/08/20 10:42:38  patrys
- fix enumeration not to crash gdm
- rel 2

Revision 1.48.2.1  2009/06/29 20:38:24  patrys
- 0.4

Revision 1.48  2009/06/17 19:33:03  hawk
- release 2

Revision 1.47  2009/03/19 09:43:03  patrys
- 3.9

Revision 1.46  2008/11/28 16:41:11  megabajt
- updated to 3.8

Revision 1.45  2008/11/09 12:38:48  megabajt
- release 2

Revision 1.44  2008/09/06 19:49:36  megabajt
- updated to 3.7

Revision 1.43  2008/05/06 18:21:50  qboosh
- BR+R iso-codes

Revision 1.42  2008-04-27 21:41:59  megabajt
- updated to 3.6

Revision 1.41  2008-03-12 00:44:26  patrys
- 3.5

Revision 1.40  2008-02-06 16:53:13  qboosh
- ghost soname symlink
- added X11 to Groups (uses libxkbfile which is a part of X11 and depends on libX11)

Revision 1.39  2008-02-05 02:24:47  patrys
- 3.4

Revision 1.38  2007/09/10 18:01:59  qboosh
- updated to 3.3

Revision 1.37  2007/05/18 21:34:32  megabajt
- added apidocs bcond and subpackage
- release 2

Revision 1.36  2007/04/08 18:36:40  megabajt
- updated to 3.2

Revision 1.35  2007/03/03 10:50:33  megabajt
- touch config.rpath
- release 2

Revision 1.34  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.32  2006/10/17 11:33:13  grzegol
- updated to 3.1
- removed warnings patch (applied upstream)

Revision 1.31  2006/08/30 20:44:49  grzegol
- updated to 3.0
- removed nonull patch (applied upstream)
- added BR: gtk-doc

Revision 1.30  2006/07/13 20:45:35  freetz
- rel.2, fix for http://bugzilla.gnome.org/show_bug.cgi?id=346980,
  ---as-needed passed to LDFLAGS

Revision 1.29  2006/06/13 16:22:13  freetz
- 2.91, updated build deps, note: new soname

Revision 1.28  2006/05/04 19:30:17  wiget
- release 2

Revision 1.27  2006/04/15 21:56:57  qboosh
- updated xkb data path (xorg-data-xkbdata >= 0.99.1)

Revision 1.26  2006/04/15 01:59:06  aredridel
- add xorg paths for xkb support

Revision 1.25  2006/03/15 18:17:19  freetz
- 2.2

Revision 1.24  2006/02/22 22:24:47  freetz
- xorg deps, rel.2

Revision 1.23  2005/12/15 16:38:35  freetz
- 2.1, waitpid patch included in sources

Revision 1.22  2005/12/04 11:25:31  freetz
- waitpid patch added, rel.3

Revision 1.21  2005/04/29 16:07:10  qrczak
- libxklavier-warnings.patch: removed -Werror because there are
  warnings (about char signedness, because of libxml)
- Release 2

Revision 1.20  2005/03/10 08:09:40  paladine
- merged from DEVEL

Revision 1.19  2005/03/02 10:49:08  qboosh
- added free patch (fix invalid free() detected by glibc); release 2

Revision 1.18.2.4  2005/02/26 12:11:01  grzegol
- updated to 2.0

Revision 1.18.2.3  2005/02/06 20:57:17  grzegol
- removed xkb_base patch
- rel. 1

Revision 1.18.2.2  2005/02/04 09:50:04  aflinta
- up to version 1.14

Revision 1.18.2.1  2004/11/07 07:18:11  paszczus
- updated to 1.11
- libxklavier 1.1x is for GNOME 2.9.x

Revision 1.18  2004/11/07 06:42:41  paszczus
- reverted: libxklavier 1.1x is for GNOME 2.9.x

Revision 1.17  2004/11/05 20:39:23  paszczus
- updated URL

Revision 1.16  2004/11/05 19:35:21  paszczus
- updated to 1.11

Revision 1.15  2004/10/02 21:30:51  grzegol
- updated to 1.04

Revision 1.14  2004/06/28 19:26:32  grzegol
- updated to 1.03

Revision 1.13  2004/04/14 07:18:02  wiget
- updated to 1.02

Revision 1.12  2004/04/10 11:28:38  grzegol
- updated to 1.01

Revision 1.11  2004/03/17 13:44:50  grzegol
- strict internal deps

Revision 1.10  2004/03/17 10:18:08  wiget
- updated to 1.00

Revision 1.9  2004/01/27 10:19:32  trojan
- updated to 0.97

Revision 1.8  2003/12/22 20:40:25  qboosh
- pl, unifications, -devel deps, BR: pkgconfig, XFree86-devel

Revision 1.7  2003/12/22 10:22:08  wiget
- 0.96

Revision 1.6  2003/11/16 22:23:27  wiget
- attr fixed

Revision 1.5  2003/11/16 17:52:39  wiget
- libtoolize

Revision 1.4  2003/11/16 17:40:37  wiget
- ac/am

Revision 1.3  2003/11/16 17:31:03  wiget
- don't require XFree86-modules, remove check for /usr/X11R6/lib/X11/xkb

Revision 1.2  2003/11/14 11:40:52  wiget
- md5sum added

Revision 1.1  2003/11/14 11:37:02  wiget
- based on spec from tarball
